#ifndef DEBUG_H
 #define DEBUG_H
#include <windows.h>
#define _CRT_SECURE_NO_WARNINGS

// Author: George Taylor 2013

// Comment this out if you don't want to generate a debug file...
#define DEBUG_VERS

#ifdef DEBUG_VERS

extern void OutputDateString(void);
extern void OutPutTimeString(void);

extern void InitDebugFile(void);
extern void CloseDebugFile(void);
extern void DebugMessage(char *msg);
extern void DebugValue(char *msg, int value);
extern void DebugParams(char *msgA, char *msgB, int a, int b);
extern void DebugFloatValue(char *msg, double value, int numDecimals);
	#endif
#endif